## com.lowagie.tools.plugins.treeview
Class DictionaryTreeNode

    java.lang.Object
      javax.swing.tree.DefaultMutableTreeNode
          com.lowagie.tools.plugins.treeview.UpdateableTreeNode
              com.lowagie.tools.plugins.treeview.DictionaryTreeNode

All Implemented Interfaces:
  Cloneable, MutableTreeNode, Serializable, TreeNode

public class DictionaryTreeNode
extends UpdateableTreeNode

Title:

Description:

Copyright: Copyright (c) 2005

Company:

Version:
  1.0
Author:
  not attributable
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.tree.DefaultMutableTreeNode
``

Field Summary
`(package private) PdfDictionary` `dictionary`

Fields inherited from class javax.swing.tree.DefaultMutableTreeNode
`allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

Constructor Summary
`DictionaryTreeNode(Object userObject, boolean allowchildren)`
`DictionaryTreeNode(Object userObject, PdfDictionary dictionary)`

Method Summary
`void` `updateview(IUpdatenodeview updateobject)` updateview

Methods inherited from class javax.swing.tree.DefaultMutableTreeNode

`add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### dictionary

    PdfDictionary dictionary

Constructor Detail

### DictionaryTreeNode

    public DictionaryTreeNode(Object userObject,
                              PdfDictionary dictionary)

### DictionaryTreeNode

    public DictionaryTreeNode(Object userObject,
                              boolean allowchildren)

Method Detail

### updateview

    public void updateview(IUpdatenodeview updateobject)

  updateview

  Specified by:
    `updateview` in class `UpdateableTreeNode`
  Parameters:
    `updateobject` - IUpdatenodeview